<?php
	function nr_user_login(){
        global $wpdb;
        global $woocommerce;
        if(!empty($_GET['nrlogin'])){
            $wc_auto_email = get_option('wc_auto_email');
            if (!$wc_auto_email) return;
            $nr_link = filter_input(INPUT_GET, 'nrlogin', FILTER_SANITIZE_STRING);
            $nrlogin = $wpdb->get_row( "SELECT * FROM $wpdb->usermeta WHERE meta_key='nr_link' and  meta_value= '".$nr_link."'" );
            if($nrlogin!=''){
                $user_id= $nrlogin->user_id;
                $user = get_user_by( 'id',$user_id);

                if( $user ) {
                    wp_set_current_user( $user_id, $user->user_login );
                    wp_set_auth_cookie( $user_id );

                    do_action( 'wp_login', $user->user_login, $user );
                }
                //$myaccount_url = get_permalink( wc_get_page_id( 'myaccount' ) );
                //wp_redirect($myaccount_url);
            }
            else{
                $site_url = get_site_url();
                wp_redirect($site_url);

            }
            //die();
        }
	}
	function nr_random_password( $length = 8 ) {
		$chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789!@#$%^&*()_-=+;:,.?";
		$password = substr( str_shuffle( $chars ), 0, $length );
		return $password;
	}
	function nr_insert_user_meta( $meta, $user, $update ) { 
		if( true === $update ) return;
		$uid =  $user->ID;
		$link = "nrx".md5($uid.nr_random_password());
		$meta['nr_link'] = $link; 
    	return $meta; 
	} 
	function nr_woocommerce_before_my_account() { 
		$user = wp_get_current_user();
		$nr_link = get_user_meta($user->ID, 'nr_link', true);
		$site_url = get_site_url();
		$wc_auto_email = get_option('wc_auto_email');
		if($nr_link!=''  && $wc_auto_email ){
		?>
			<p>Automatic Login link : <?php echo $site_url;?>?nrlogin=<?php echo $nr_link;?> </p>
		<?php
			
		}
    	
	}
?>
