/** * Created by USER on 17-02-2017. */
$ = jQuery;

function submit_assign_wc_options_register_form() {
    if (is_valid_assign_wc_options_form()) {
        $('#assign_wc_options_message').html('');
        assign_wc_disableButton();
        $.ajax({
            url: assign_wc_options.ajax_urls,
            data: 'action=assign_wc_options_register_user&' + $('#assign_wc_options_register_form').serialize(),
            method: 'POST',
            success: function(reply) {
                reply = $.parseJSON(reply);
                assign_wc_enableButton();
                if (reply.success != 'true') {
                    $('#assign_wc_options_message').html(reply.message);
                } else {
                    $('#assign_wc_options_message').html(reply.message);
                    setTimeout(function () {
                        window.location = reply.loginUrl;
                    },3000);
                }
            },
            error: function() {
                alert('Some Error Occurred! Please Try Again Later.')
            }
        })
    }
}

function assign_wc_enableButton() {
    $("#assign_wc_options_submit_button").attr('disabled', false);
}

function assign_wc_disableButton() {
    $("#assign_wc_options_submit_button").attr('disabled', true);
}

function is_valid_assign_wc_options_form() {
    var flag = true;
    $('.assign_wc_options').each(function() {
        element = $(this);
        if (element.val() == '' && element.data('required') == 'yes') {
            element.css({
                'border-color': 'red'
            });
            flag = false;
        } else {
            element.css({
                'border-color': ''
            });
        }
    });
    return flag;
}